--- title: "Get VM groups by Cluster Id" slug: "get-vm-groups-by-cluster-id" tags: ["Product Usage", "vIPS 10.1.10"] updated: 2026-09-11T20:35:31Z published: 2026-09-11T20:35:31Z canonical: "docs.trellix.com/get-vm-groups-by-cluster-id" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get VM groups by Cluster Id This URL gets all the VM groups in a cluster. ## Resource URL GET /vmgroup ## Request Parameters Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | clusterId | Cluster ID. You can use the GET /cluster method to get the details of all the clusters. | number | Yes | ## Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | success | Indicates if the GET operation is successful. Value is set to true if the GET operation is successful. Value is set to false if the GET operation is not successful. | string | | msg | Not applicable | Not applicable | | errMsg | Not applicable | Not applicable | | domainName | Not applicable | Not applicable | | data | Details of the VM groups | array of objects | **Request** GET [https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup?clusterId=8](https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup?clusterId=8) **Response** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": [ { "domainId": 0, "subscriberVMGroupId": 103, "groupName": "vmg1" }] } ```